Main Page Modules Data Structures File List Data Fields Globals Related Pages

# beecrypt/hmacmd5.h File Reference

HMAC-MD5 message authentication code, header. More...

`#include "hmac.h"`
`#include "md5.h"`

Go to the source code of this file.

## Data Structures
struct | hmacmd5Param
## Functions
int | hmacmd5Setup (hmacmd5Param *sp, const uint32 *key, int keybits)
int | hmacmd5Reset (hmacmd5Param *sp)
int | hmacmd5Update (hmacmd5Param *sp, const byte *data, int size)
int | hmacmd5Digest (hmacmd5Param *sp, uint32 *data)
## Variables
const keyedHashFunction | hmacmd5

## Detailed Description

HMAC-MD5 message authentication code, header.

Definition in file hmacmd5.h.